function y = div(x, dir)
% Computes divergence of vector field x using circular boundary conditions:
%   y = Dx(x) + Dy(y) + Dz(z)

    y = zeros(size(x(:,:,:,:,1,:)));
    for i = 1:3 % loop across velocity dimensions (vx, vy, vz)
        y = y + grad(x(:,:,:,:,i,:), dir, i); % Dx
    end
    
end
