function y = gradAdj(x, dir, dims)
% Y = GRADADJ(X, DIR, DIMS) gradient adjoint operator using circular 
% boundary conditions:
%
%   y = [Dx', Dy', Dz', ... ] [x1; x2; x3; ...]
%
% Written by Christopher Sandino, 2017

    d = size(x);
    y = zeros(d(1:(end-1)));
    for i = 1:length(dims)
        y = y + grad(x(:,:,:,:,:,i), dir, dims(i));
    end
end
